Results 1 to 2 of 2
  1. #1
    Firefox won't run on osX 10.1
    hello guys,
    somebody gave me an iMac that is running OSX 10.1.3. I am using to record music tracks now but I also go on the internet a lot. I love Firefox but version 1.5 won't run on this machine! My question is how can I find older versions of Firefox that WILL run? i have tried but they only have a link to the mozilla site which will only let you download v1.5 of firefox.


  2. #2

    gbv5501's Avatar
    Member Since
    Aug 18, 2005
    Frisco, Texas
    White MacBook. Keeping it simple these days.
    It looks like you might be stuck with IE 5.2. I hope this helps:

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Bootcamp run along OSX
    By frangos in forum Running Windows (or anything else) on your Mac
    Replies: 7
    Last Post: 12-02-2014, 04:07 PM
  2. unable to run firefox version 4
    By chdche24 in forum OS X - Apps and Games
    Replies: 3
    Last Post: 04-16-2011, 03:04 AM
  3. Can my G3 run OSX?
    By bittenapple in forum Apple Desktops
    Replies: 8
    Last Post: 08-14-2008, 03:35 PM
  4. Can't run Firefox 3
    By galan05 in forum OS X - Operating System
    Replies: 2
    Last Post: 06-19-2008, 07:39 AM
  5. How do you run Old programs in OSX?
    By kevin_msu in forum Switcher Hangout
    Replies: 4
    Last Post: 10-06-2006, 03:11 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts